net.corda.flows

## Class TwoPartyDealFlow.SignaturesFromPrimary

- net.corda.flows.TwoPartyDealFlow.SignaturesFromPrimary

- Enclosing class:
    TwoPartyDealFlow

      public static class TwoPartyDealFlow.SignaturesFromPrimary

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignaturesFromPrimary(DigitalSignature.WithKey sellerSig, java.util.List<? extends net.corda.core.crypto.DigitalSignature.WithKey> notarySigs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<net.corda.core.crypto.DigitalSignature.WithKey>` | `getNotarySigs()`
    `DigitalSignature.WithKey` | `getSellerSig()`

- - ### Constructor Detail

    - #### SignaturesFromPrimary

          public SignaturesFromPrimary(DigitalSignature.WithKey sellerSig,
                                       java.util.List<? extends net.corda.core.crypto.DigitalSignature.WithKey> notarySigs)

  - ### Method Detail

    - #### getSellerSig

          public DigitalSignature.WithKey getSellerSig()

    - #### getNotarySigs

          public java.util.List<net.corda.core.crypto.DigitalSignature.WithKey> getNotarySigs()